package cn.com.qmth.examcloud.app.model;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class GetYunSignatureReq implements JsonSerializable {
	/**
     * 
     */
    private static final long serialVersionUID = 4523536593807014828L;
    @NotNull(message = "考试记录DataID不能为空")
    @ApiModelProperty(required = true, value = "考试记录DataID")
    private String examRecordDataId;
    @NotNull(message = "题号不能为空")
    @ApiModelProperty(required = true, value = "考试试题号")
    private String order;
    @NotNull(message = "文件MD5不能为空")
    @ApiModelProperty(required = true, value = "文件MD5")
    private String fileMd5;
    @NotNull(message = "文件后缀不能为空")
    @ApiModelProperty(required = true, value = "文件后缀")
    private String fileSuffix;
    @ApiModelProperty(value = "文件名自定义参数")
    private String ext;

    public String getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(String examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getOrder() {
        return order;
    }

    public void setOrder(String order) {
        this.order = order;
    }

    public String getFileMd5() {
        return fileMd5;
    }

    public void setFileMd5(String fileMd5) {
        this.fileMd5 = fileMd5;
    }

    public String getFileSuffix() {
        return fileSuffix;
    }

    public void setFileSuffix(String fileSuffix) {
        this.fileSuffix = fileSuffix;
    }

    public String getExt() {
        return ext;
    }

    public void setExt(String ext) {
        this.ext = ext;
    }

}
